org.apache.myfaces.trinidad.component

## Class UIXFacesBeanImpl

- java.lang.Object
- - org.apache.myfaces.trinidad.bean.FacesBeanImpl
  - - org.apache.myfaces.trinidad.component.UIXFacesBeanImpl

- All Implemented Interfaces:
    FacesBean, UIXFacesBean
  Direct Known Subclasses:
    UIXEditableFacesBeanImpl

      public class UIXFacesBeanImpl
      extends FacesBeanImpl
      implements UIXFacesBean

  FacesBeanImpl subclass that implements UIXFacesBean. UIXComponentBase subclasses that want to change the behavior of their associated FacesBean are encouraged to subclass this class in preference to implementing the FacesBean and UIXFaceBean contracts directly. In addition, while UIXComponentBase will work with any UIXFacesBean, it is optimized to work with UIXFacesBeanImpl.
  See Also:
    `FacesBean`, `FacesBeanImpl`, `UIXFacesBean`, `UIXComponentBase`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.myfaces.trinidad.bean.FacesBean

      `FacesBean.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIXFacesBeanImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `UIXComponent` | `getComponent()`
    `protected Object` | `getLocalPropertyImpl(PropertyKey key)`
    `FacesBean.Type` | `getType()` Get the type of a FacesBean
    `void` | `init(UIXComponent component, FacesBean.Type type)` Subclassers most call super with the component and type
    `Set<PropertyKey>` | `keySet()` Returns a Set of all PropertyKeys that have either lists or values attached.
    `void` | `restoreState(javax.faces.context.FacesContext context, Object state)` Restores the state of a FacesBean.
    `Object` | `saveState(javax.faces.context.FacesContext context)` Saves the state of a FacesBean.
    `void` | `setPropertyImpl(PropertyKey key, Object value)`

    - ### Methods inherited from class org.apache.myfaces.trinidad.bean.FacesBeanImpl

      `addAll, addEntry, bindingKeySet, clearInitialState, containsEntry, createExpressionsMap, createPropertyMap, entries, getEntries, getLocalProperty, getProperty, getRawProperty, getValueBinding, getValueExpression, initialStateMarked, markInitialState, removeEntry, setProperty, setValueBinding, setValueExpression, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.myfaces.trinidad.bean.FacesBean

      `addAll, addEntry, bindingKeySet, clearInitialState, containsEntry, entries, getEntries, getLocalProperty, getProperty, getRawProperty, getValueBinding, getValueExpression, initialStateMarked, markInitialState, removeEntry, setProperty, setValueBinding, setValueExpression`

- - ### Constructor Detail

    - #### UIXFacesBeanImpl

          public UIXFacesBeanImpl()

  - ### Method Detail

    - #### getType

          public final FacesBean.Type getType()

      Description copied from class: `FacesBeanImpl`
      Get the type of a FacesBean
      Specified by:
        `getType` in interface `FacesBean`
      Specified by:
        `getType` in class `FacesBeanImpl`

    - #### getComponent

          public final UIXComponent getComponent()

      Returns:
        the UIXComponent that this UIXFacesBean as initialized with

    - #### init

          public void init(UIXComponent component,
                  FacesBean.Type type)

      Subclassers most call super with the component and type
      Specified by:
        `init` in interface `UIXFacesBean`
      Parameters:
        `component` - UIXComponentBase to bind to this UIXFacesBean
        `type` -
      Throws:
        `IllegalStateException` - if init() called a second time with a different component or if the Type changes for one non-null Type to another
        `IllegalArgumentException` - if component is not a UIXComponentBase
        `NullPointerException` - of component is null

    - #### keySet

          public Set<PropertyKey> keySet()

      Description copied from interface: `FacesBean`
      Returns a Set of all PropertyKeys that have either lists or values attached.
      Specified by:
        `keySet` in interface `FacesBean`
      Overrides:
        `keySet` in class `FacesBeanImpl`

    - #### setPropertyImpl

          public void setPropertyImpl(PropertyKey key,
                             Object value)

      Overrides:
        `setPropertyImpl` in class `FacesBeanImpl`

    - #### getLocalPropertyImpl

          protected Object getLocalPropertyImpl(PropertyKey key)

      Overrides:
        `getLocalPropertyImpl` in class `FacesBeanImpl`

    - #### saveState

          public Object saveState(javax.faces.context.FacesContext context)

      Description copied from interface: `FacesBean`
      Saves the state of a FacesBean.
      Specified by:
        `saveState` in interface `FacesBean`
      Overrides:
        `saveState` in class `FacesBeanImpl`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          Object state)

      Description copied from interface: `FacesBean`
      Restores the state of a FacesBean.
      Specified by:
        `restoreState` in interface `FacesBean`
      Overrides:
        `restoreState` in class `FacesBeanImpl`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.